org.bdgenomics.cannoli

# CannoliFn

###
Related Doc: package cannoli

#### abstract class CannoliFn[X, Y] extends (X) ⇒ Y

Cannoli function.

X

  Cannoli function argument type parameter.

Y

  Cannoli function result type parameter.

Linear Supertypes
(X) ⇒ Y, AnyRef, Any
Known Subclasses
BcftoolsMpileup, BcftoolsNorm, BedtoolsIntersect, Bowtie, Bowtie2, Bwa, Freebayes, Gem, Minimap2, SamtoolsMpileup, SnpEff, Vep, VtNormalize
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliFn
2. Function1
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CannoliFn(sc: SparkContext)

   sc

     Spark context.

### Abstract Value Members

1. #### abstract def apply(v1: X): Y

   Definition Classes
     Function1

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def absolute(pathName: String): String

5. #### def andThen[A](g: (Y) ⇒ A): (X) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def compose[A](g: (A) ⇒ X): (A) ⇒ Y

   Definition Classes
     Function1
   Annotations
     @unspecialized()

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def files(pathName: String, filter: PathFilter): Seq[String]

12. #### def files(pathName: String): Seq[String]

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def root(pathName: String): String

21. #### val sc: SparkContext

    Spark context.

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from (X) ⇒ Y

### Inherited from AnyRef

### Inherited from Any

### Ungrouped